From 04262754cfa5df053113636ec85162dc359642ed Mon Sep 17 00:00:00 2001
From: Paul Whalen <pwhalen@fedoraproject.org>
Date: Apr 22 2025 13:16:45 +0000
Subject: Enable updates repo for Fedora 42


Signed-off-by: Paul Whalen <pwhalen@fedoraproject.org>

---

diff --git a/fedora-iot.conf b/fedora-iot.conf
index 5eaf60b..d92f34d 100644
--- a/fedora-iot.conf
+++ b/fedora-iot.conf
@@ -217,7 +217,8 @@ osbuild = {
         "image_types": ["iot-raw-image"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$arch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
         "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
@@ -229,7 +230,8 @@ osbuild = {
         "image_types": ["iot-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$arch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
         "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT",
@@ -242,7 +244,8 @@ osbuild = {
         "image_types": ["iot-simplified-installer"],
         "target": "f%s-candidate" % release_version,
         "arches": ["x86_64", "aarch64"],
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$arch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$arch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$arch/os/"],
         "ostree_url": "https://kojipkgs.fedoraproject.org/compose/iot/repo/",
         "ostree_ref": "fedora/stable/$arch/iot",
         "subvariant": "IoT_Simplified_Provisioner",
@@ -263,8 +266,8 @@ ostree = {
             "config_branch": "f42",
             "repo": [
                 "IoT",
-                "https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/"
-            ]
+                "https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/",
+                "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$basearch/os/"],
             "tag_ref": False,
             "ostree_repo": "/mnt/koji/compose/iot/repo/",
             "ostree_ref": "fedora/stable/${basearch}/iot",
@@ -280,7 +283,8 @@ ostree_container = {
         "config_url": "https://pagure.io/fedora-iot/base-images",
         "config_branch": "main",
         "treefile": "fedora-42.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$basearch/os/"],
         "arches": ["x86_64", "aarch64", "ppc64le", "s390x"],
         "failable": ['*'],
     },
@@ -289,7 +293,8 @@ ostree_container = {
         "config_url": "https://pagure.io/fedora-iot/fedora-iot-bootc.git",
         "config_branch": "main",
         "treefile": "fedora-iot-42.yaml",
-        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/"],
+        "repo": ["https://kojipkgs.fedoraproject.org/compose/42/Fedora-42-20250409.0/compose/Everything/$basearch/os/",
+                 "https://kojipkgs.fedoraproject.org/compose/updates/f42-updates/compose/Everything/$basearch/os/"],
         "arches": ["x86_64", "aarch64"],
         "failable": ['*'],
     },

